OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepElement

# StepElement_CurveElementFreedom Class Reference

Representation of STEP SELECT type CurveElementFreedom
.

`#include <StepElement_CurveElementFreedom.hxx>`

Inheritance diagram for StepElement_CurveElementFreedom:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepElement_CurveElementFreedom ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of CurveElementFreedom select type return 0 .
virtual Standard_EXPORT Standard_Integer | CaseMem (const Handle(StepData_SelectMember)&ent) const
| Recognizes a items of select member CurveElementFreedomMember 1 -> EnumeratedCurveElementFreedom 2 -> ApplicationDefinedDegreeOfFreedom 0 else .
virtual Standard_EXPORT Handle_StepData_SelectMember | NewMember () const
| Returns a new select member the type CurveElementFreedomMember .
Standard_EXPORT void | SetEnumeratedCurveElementFreedom (const StepElement_EnumeratedCurveElementFreedom aVal)
| Set Value for EnumeratedCurveElementFreedom .
Standard_EXPORT StepElement_EnumeratedCurveElementFreedom | EnumeratedCurveElementFreedom () const
| Returns Value as EnumeratedCurveElementFreedom (or Null if another type) .
Standard_EXPORT void | SetApplicationDefinedDegreeOfFreedom (const Handle(TCollection_HAsciiString)&aVal)
| Set Value for ApplicationDefinedDegreeOfFreedom .
Standard_EXPORT Handle_TCollection_HAsciiString | ApplicationDefinedDegreeOfFreedom () const
| Returns Value as ApplicationDefinedDegreeOfFreedom (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_CurveElementFreedom::StepElement_CurveElementFreedom | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepElement_CurveElementFreedom::ApplicationDefinedDegreeOfFreedom | ( |  | ) | const

virtual Standard_EXPORT Standard_Integer StepElement_CurveElementFreedom::CaseMem | ( | const Handle(StepData_SelectMember)& | ent | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Standard_Integer StepElement_CurveElementFreedom::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT StepElement_EnumeratedCurveElementFreedom StepElement_CurveElementFreedom::EnumeratedCurveElementFreedom | ( |  | ) | const

virtual Standard_EXPORT Handle_StepData_SelectMember StepElement_CurveElementFreedom::NewMember | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

void StepElement_CurveElementFreedom::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepElement_CurveElementFreedom::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepElement_CurveElementFreedom::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT void StepElement_CurveElementFreedom::SetApplicationDefinedDegreeOfFreedom | ( | const Handle(TCollection_HAsciiString)& | aVal | ) |

Standard_EXPORT void StepElement_CurveElementFreedom::SetEnumeratedCurveElementFreedom | ( | const StepElement_EnumeratedCurveElementFreedom | aVal | ) |

The documentation for this class was generated from the following file:

- StepElement_CurveElementFreedom.hxx